Bug 14067 - relative crashed with segfault
: relative crashed with segfault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-17 20:51 by
Modified: 2008-02-28 15:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-17 20:51:52
% rpm -q rpm-build
rpm-build-4.0.4-alt81

% uname -a
Linux home.vvk.pp.ru 2.6.18-ovz-smp-alt18 #1 SMP Mon Nov 5 18:41:36 MSK 2007
i686 GNU/Linux

% rpm -q glibc
glibc-2.5-alt5

Steps to Reproduce:
% relative
zsh: segmentation fault  relative
------- Comment #1 From 2008-01-17 20:57:31 -------
~$ rpm -q rpm-build                                                            
                                          
rpm-build-4.0.4-alt81
~$ uname -a                                                                    
                                          
Linux evg.krastel.ru 2.6.18-std-smp-alt10 #1 SMP Wed Dec 12 23:42:05 MSK 2007
i686 GNU/Linux
~$ rpm -q glibc                                                                
                                          
glibc-2.5.1-alt2
~$ strace relative                                                             
                                          
execve("/usr/bin/relative", ["relative"], [/* 88 vars */]) = 0
brk(0)                                  = 0x804a000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=61402, ...}) = 0
mmap2(NULL, 61402, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7f37000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000b\1\0004\0\0\0"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1208640, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f36000
mmap2(NULL, 1214724, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0xb7e0d000
mmap2(0xb7f30000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x123) = 0xb7f30000
mmap2(0xb7f33000, 10500, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7f33000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7e0c000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7e0c6c0, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}) = 0
mprotect(0xb7f30000, 4096, PROT_READ)   = 0
munmap(0xb7f37000, 61402)               = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Process 14395 detached
------- Comment #2 From 2008-01-18 18:19:07 -------
Fixed in
4.0.4-alt77.M40.1-18-gd534994
4.0.4-alt83-5-gf48ba77